// Generated IDL File (by Great Migrations Studio) 
// Created: 12/3/2025 09:33:15 AM
// Source: C:\gmTestBed\FMStocks\src\FMSLib\bin\FMSStore_DB.dll
// typelib filename: FMSStore_DB.dll
[
    uuid(1483BCBE-435A-4C87-B783-7D894AACEB63),
    version(2.0),
    custom(50867B00-BB69-11D0-A8FF-00A0C9110059, "8169")
]
library FMSStore_DB
{
    // TLib : Microsoft ActiveX Data Objects 2.7 Library : {EF53050B-882E-4776-B643-EDA472E8E3F2}
    importlib("msado27.tlb");
    // TLib : OLE Automation : {00020430-0000-0000-C000-000000000046}
    importlib("stdole2.tlb");

    // Forward declare all types defined in this typelib

    interface _Product;
    interface _ShoppingCart;
    coclass Product;
    coclass ShoppingCart;

    [
        odl,
        uuid(7C3FEF80-F40E-408C-8249-E6ED5E6A04A3),
        version(1.0),
        hidden,
        dual,
        nonextensible,
        oleautomation
    ]
    interface _Product : IDispatch {
        [id(0x60030002)]
        HRESULT FindByDescription(
            [in] BSTR description,
            [out, retval] ADODB._Recordset** retVal);
        [id(0x60030003)]
        HRESULT GetBySKU(
            [in] long SKU,
            [out, retval] ADODB._Recordset** retVal);
        [id(0x60030004)]
        HRESULT List([out, retval] ADODB._Recordset** retVal);
    };

    [
        uuid(1E607C2F-7A03-4EB9-A3A2-2F7D7FA3FE12),
        version(1.0)
    ]
    coclass Product {
        [default] interface _Product;
    };

    [
        odl,
        uuid(E4E89075-E412-44C4-829D-6849DD8159CB),
        version(1.0),
        hidden,
        dual,
        nonextensible,
        oleautomation
    ]
    interface _ShoppingCart : IDispatch {
        [id(0x60030002)]
        HRESULT Add(
            [in] long AccountID,
            [in] long SKU,
            [in] short Quantity);
        [id(0x60030003)]
        HRESULT GetByKey(
            [in] long AccountID,
            [in] long SKU,
            [out, retval] ADODB._Recordset** retVal);
        [id(0x60030004)]
        HRESULT ListByAccount(
            [in] long AccountID,
            [out, retval] ADODB._Recordset** retVal);
        [id(0x60030005)]
        HRESULT Modify(
            [in] long AccountID,
            [in] long SKU,
            [in] short Quantity);
        [id(0x60030006)]
        HRESULT Remove(
            [in] long AccountID,
            [in] long SKU);
        [id(0x60030007)]
        HRESULT RemoveAll([in] long AccountID);
        [id(0x60030008)]
        HRESULT TotalByAccount(
            [in] long AccountID,
            [out, retval] ADODB._Recordset** retVal);
    };

    [
        uuid(973017F0-A66D-4959-B6B7-97109C060C07),
        version(1.0)
    ]
    coclass ShoppingCart {
        [default] interface _ShoppingCart;
    };

};